complexType "ExerciseEvent"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustedExerciseDate?, adjustedRelevantSwapEffectiveDate?, adjustedCashSettlementValuationDate?, adjustedCashSettlementPaymentDate?, adjustedExerciseFeePaymentDate?
</...>

Content Model Elements (5):

  adjustedCashSettlementPaymentDate (in exerciseEvent), adjustedCashSettlementValuationDate (in exerciseEvent), adjustedExerciseDate (in exerciseEvent), | adjustedExerciseFeePaymentDate (in exerciseEvent), adjustedRelevantSwapEffectiveDate

All Direct / Indirect Based Elements (1):

  exerciseEvent

Known Usage Locations

- As direct type of elements (1):
  exerciseEvent

Annotation
A type defining the adjusted dates associated with a particular exercise event.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="ExerciseEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedRelevantSwapEffectiveDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedExerciseFeePaymentDate" type="xsd:date"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/5)
adjustedCashSettlementPaymentDate

  Type: | xsd:date, predefined, simple content

  The date on which the cash settlement amount is paid. This date should already be adjusted for any applicable business dat convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"/>

adjustedCashSettlementValuationDate

  Type: | xsd:date, predefined, simple content

  The date by which the cash settlement amount must be agreed. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"/>

adjustedExerciseDate

  Type: | xsd:date, predefined, simple content

  The date on which option exercise takes place. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedExerciseDate" type="xsd:date"/>

adjustedExerciseFeePaymentDate

  Type: | xsd:date, predefined, simple content

  The date on which the exercise fee amount is paid. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedExerciseFeePaymentDate" type="xsd:date"/>

adjustedRelevantSwapEffectiveDate

  Type: | xsd:date, predefined, simple content

  The effective date of the underlying swap associated with a given exercise date. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedRelevantSwapEffectiveDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.